log4shib::LoggingEvent(3)

NAME
log4shib::LoggingEvent - The internal representation of logging events.

SYNOPSIS

#include <LoggingEvent.hh>

  Public Member Functions
LoggingEvent (const std::string &category, const std::string &message, const std::string &ndc, Priority::Value priority)
Instantiate a LoggingEvent from the supplied parameters.

  Public Attributes
const std::string categoryName
The category name.
const std::string message
The application supplied message of logging event.
const std::string ndc
The nested diagnostic context (NDC) of logging event.
Priority::Value priority
Priority of logging event.
const std::string threadName
The name of thread in which this logging event was generated, e.g.
TimeStamp timeStamp
The number of seconds elapsed since the epoch (1/1/1970 00:00:00 UTC) until logging event was created.

Detailed Description

The internal representation of logging events. When a affirmative logging decision is made a LoggingEvent instance is created. This instance is passed around the different log4shib components.

This class is of concern to those wishing to extend log4shib.

Constructor & Destructor Documentation

  log4shib::LoggingEvent::LoggingEvent (const std::string & category, const std::string & message, const std::string & ndc, Priority::Value priority)

Instantiate a LoggingEvent from the supplied parameters. Except timeStamp all the other fields of LoggingEvent are filled when actually needed.

Parameters
    category The category of this event.
    message The message of this event.
    ndc The nested diagnostic context of this event.
    priority The priority of this event.

Member Data Documentation

  const std::string log4shib::LoggingEvent::categoryName

The category name.

  const std::string log4shib::LoggingEvent::message

The application supplied message of logging event.

  const std::string log4shib::LoggingEvent::ndc

The nested diagnostic context (NDC) of logging event.

  Priority::Value log4shib::LoggingEvent::priority

Priority of logging event.

  const std::string log4shib::LoggingEvent::threadName

The name of thread in which this logging event was generated, e.g. the PID.

  TimeStamp log4shib::LoggingEvent::timeStamp

The number of seconds elapsed since the epoch (1/1/1970 00:00:00 UTC) until logging event was created.

Author

Generated automatically by Doxygen for log4shib from the source code.